> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/legacy-configuration-components/component-order-change-success.md).

# Component: Order Change Success

**Purpose:** Use this component to create a Page that confirms a change to a subscription (e.g. cancel/save offer accepted, or switch offer accepted, or cancel confirmed).

| **id**        | **label**      | **type** | **default**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | **options/infos**                                                                                                                                 |
| ------------- | -------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| heading       | Heading        | string   | Your subscription will be cancelled                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |                                                                                                                                                   |
| subheading    | Subheading     | string   | <p><strong>The default text is appropriate for a Switch scenario:</strong><br><br>You will be charged {{currentPaymentCost}} today.<br><br>Your next payment amount of {{nextPaymentCost}} for your amended subscription is due on {{nextPaymentDate}}.<br><br>We will send you email confirmation shortly.<br><br><strong>For a Cancel/Save scenario, we recommend to use the following:</strong><br><br>Your next payment of {{nextPaymentCost}} is due on {{nextPaymentDate}}.<br><br>Your payments will go back to the original amount of {{currentPaymentCost}} on {{discountEndDate}}.<br><br><strong>For a Cancel scenario, we recommend to use the following:</strong><br><br>Your subscription will be cancelled on {{termEndDate}}.</p> | [List of variables that can be used in Limio Components](/components/component-library/list-of-variables-that-can-be-used-in-limio-components.md) |
| showButtons   | Show buttons?  | boolean  | true                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              | Configure buttons to route the customer to a new page (e.g. My Account)                                                                           |
| buttons       | Buttons        | list     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | Fields: label                                                                                                                                     |
| imageUrl      | Image Url      | string   |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |                                                                                                                                                   |
| imagePosition | Image Position | picklist | top                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |                                                                                                                                                   |
| componentId   | Component Id   | string   | order-change-success-limio                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |                                                                                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/components/component-library/legacy-configuration-components/component-order-change-success.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
